```@meta
CurrentModule = CounterfactualExplanations
```

# CounterfactualExplanations

Documentation for [CounterfactualExplanations.jl](https://github.com/pat-alt/CounterfactualExplanations.jl).

CounterfactualExplanations.jl is a package for generating **C**ounterfactua**L** **E**xplanations (CE) and **A**lgorithmic **R**ecourse (AR) in Julia Language. Both CE and AR are related tools for interpretable machine learning. All too often human operators rely blindly on decisions made by black-box algorithms. Counterfactual Explanations can help programmers make sense of the systems they build: they explain how inputs into a system need to change for it to produce a different output. CEs that involve realistic and actionable changes can be used for the purpose of individual recourse: Algorithmic Recourse (AR) offers individuals subject to algorithms a way to turn a negative decision into positive one.

